> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetSubscriptionPrice

POST https://api.voximplant.com/platform_api/GetSubscriptionPrice

Gets the subscription template price.

**Example request:** Get the all subscription template prices.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/accounts/get-subscription-price

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `subscription_template_id` (list of integer, optional) — The subscription template ID list separated by semicolons (;)
- `subscription_template_type` (string, optional) — The subscription template type. The following values are possible: PHONE_NUM, SIP_REGISTRATION
- `subscription_template_name` (string, optional) — The subscription template name (example: SIP registration, Phone GB, Phone RU 495...)
- `count` (integer, optional) — The max returning record count
- `offset` (integer, optional, default: 0) — The first **N** records are skipped in the output

## Response

### 200

Successful response

- `result` (list of SubscriptionTemplateType, optional) — The subscription template prices
- `total_count` (integer, optional)
- `count` (integer, optional)

## Types

### SubscriptionTemplateType

The subscription template info.

- `subscription_template_id` (integer, optional) — Subscription's template ID
- `currency` (string, optional) — Subscription's currency
- `installation_price` (double, optional) — Subscription's installation price (without the first monthly fee)
- `installation_price_in_currency` (integer, optional) — Subscription's installation price in the original currency
- `price` (double, optional) — Subscription's monthly fee, including taxes and discounts
- `price_in_currency` (double, optional) — Subscription's monthly fee in the original currency
- `period` (string, optional) — Charge period in 24-h format: Y-M-D H:m:s. Example: 0-1-0 0:0:0 is 1 month
- `subscription_template_type` (string, optional) — Subscription template type. The following values are possible: PHONE_NUM, SIP_REGISTRATION
- `subscription_template_name` (string, optional) — Subscription template name (example: SIP registration, Phone GB, Phone RU 495...)
- `required_verification` (string, optional) — Whether verification is required for the account
- `verification_status` (string, optional) — Verification status. Possible values are REQUIRED, IN_PROGRESS, VERIFIED, NOT_REQUIRED
- `installation_tax_reserve` (integer, optional) — Phone number's installation tax reserve
- `tax_reserve` (integer, optional) — Phone number's tax reserve

## Examples

**Response**

```json
{
  "result": [
    {
      "subscription_template_id": 20,
      "installation_price": 0,
      "price": 293.855,
      "period": "0-1-0 0:0:0",
      "subscription_template_type": "PHONE_NUM",
      "subscription_template_name": "Phone BG"
    },
    {
      "subscription_template_id": 6,
      "installation_price": 3000,
      "price": 1500,
      "period": "0-1-0 0:0:0",
      "subscription_template_type": "PHONE_NUM",
      "subscription_template_name": "Phone RU TollFree"
    },
    {
      "subscription_template_id": 53,
      "installation_price": 0,
      "price": 587.71,
      "period": "0-1-0 0:0:0",
      "subscription_template_type": "SIP_REGISTRATION",
      "subscription_template_name": "SIP registration"
    }
  ],
  "total_count": 51,
  "count": 3
}
```

**SDK Code**

```python Success
import requests

url = "https://api.voximplant.com/platform_api/GetSubscriptionPrice"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.voximplant.com/platform_api/GetSubscriptionPrice';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetSubscriptionPrice"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetSubscriptionPrice")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetSubscriptionPrice")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetSubscriptionPrice', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetSubscriptionPrice");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetSubscriptionPrice")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```